# apache-php image

This is to build a [**container image**](https://www.docker.com/resources/what-container) by following a
[LibreCloud Termas CD/CI](https://repo.librecloud.services/termas_librecloud/librecloud-termas-cd-ci) procedures.

[Container image](https://www.docker.com/resources/what-container) can be found in [**src** Dockerfile](https://repo.librecloud.services/termas_librecloud/apache-php/src/branch/master/src/Dockerfile)

[Tekton Pipeline](https://github.com/tektoncd/pipeline) can be found in [**pipeline** directory](https://repo.librecloud.services/termas_librecloud/apache-php/src/branch/master/pipeline).

## Configuration

[LibreCloud Termas CD/CI configuation](https://repo.librecloud.services/termas_librecloud/librecloud-termas-cd-ci#configuration)

## Pipeline

[LibreCloud Termas CD/CI pipeline](https://repo.librecloud.services/termas_librecloud/librecloud-termas-cd-ci#pipeline)

## Service

A [apache-php image](https://repo.librecloud.services/termas_librecloud/apache-php) configured service can be found in [LibreCloud site services](https://repo.librecloud.services/services_librecloud/site) as an implementation of [LibreCloud Services](https://repo.librecloud.services/services_librecloud/librecloud-services)

In most cases final service will need additional or multiple [containers](https://www.docker.com/resources/what-container) to run, as [init containers](https://kubernetes.io/docs/concepts/workloads/pods/init-containers/) or [sidecar containers](https://kubernetes.io/docs/concepts/workloads/pods/pod-overview/).

## Install

[LibreCloud Termas CD/CI installation](https://repo.librecloud.services/termas_librecloud/librecloud-termas-cd-ci#install)

## Task list

[LibreCloud Termas CD/CI task list](https://repo.librecloud.services/termas_librecloud/librecloud-termas-cd-ci#terma-tasks-list)

## Directory content

[LibreCloud Termas CD/CI Directory content](https://repo.librecloud.services/termas_librecloud/librecloud-termas-cd-ci#directory-content)

## References

Use [LibreCloud Termas CD/CI References](https://repo.librecloud.services/termas_librecloud/librecloud-termas-cd-ci#references)
